library(tidyverse)
library(tidymodels)
library(SSLR)

data <- na.omit(airquality)
#data <- na.omit(airquality)

cls <- which(colnames(data) == "Ozone")

colnames(data)[cls]<- "class"

set.seed(1)
train.index  <- sample(nrow(data), round(0.7 * nrow(data)))
train <- data[ train.index,]
test  <- data[-train.index,]


#% LABELED
labeled.index <- sample(nrow(train), round(0.2 * nrow(train)))
train[-labeled.index,cls] <- NA

m <- COREG(max.iter = 2) %>% fit(class ~ ., data = train)

predict(m,test)%>%
  bind_cols(test) %>%
  metrics(truth = "class", estimate = .pred)
