library(tidyverse)
library(tidymodels)
library(caret)
library(SSLR)

data(wine)
set.seed(1)
train.index <- createDataPartition(wine$Wine, p = .7, list = FALSE)
train <- wine[ train.index,]
test  <- wine[-train.index,]

cls <- which(colnames(wine) == "Wine")

#% LABELED
labeled.index <- createDataPartition(wine$Wine, p = .2, list = FALSE)
train[-labeled.index,cls] <- NA


m <- snnrce(x.inst = TRUE,
            dist = "Euclidean",
            alpha = 0.1) %>% fit(Wine ~ ., data = train)

#m <- snnrce() %>% fit_xy(x = train[,-cls], y = train$Wine)

#predictions <- predict(m,test)

predict(m,test) %>%
  bind_cols(test) %>%
  metrics(truth = "Wine", estimate = .pred_class)


'
#With dist matrix
distance <- as.matrix(proxy::dist(x = train[,-cls], method = "euclidean", by_rows = TRUE))


m <- snnrce(x.inst = FALSE,
            alpha = 0.1) %>% fit_xy(x = dtrain, y = train$Wine)

xtrain <- train[m$instances.index, -cls]

dtest <- proxy::dist(x = test[,-cls], y = xtrain, method = "euclidean",
                     diag = TRUE, upper = TRUE, by_rows = TRUE)

#predictions <- predict(m,dtest)

predict(m,dtest) %>%
  bind_cols(test) %>%
  metrics(truth = "Wine", estimate = .pred_class)
'
